package ubiware.core;

import jade.core.AID;
import jade.domain.AMSService;
import jade.domain.FIPAException;
import jade.domain.FIPAAgentManagement.AMSAgentDescription;
import ubiware.util.saplbuilder.Resource;

public class CheckAgentExistance {
	public static boolean check(UbiwareAgent agent, Resource agentInQuestion) {
		AMSAgentDescription amsd = new AMSAgentDescription();
		amsd.setName(new AID(agentInQuestion.toString(), AID.ISLOCALNAME));
		try {

			AMSAgentDescription[] a = AMSService.search(agent, amsd);
			if (a.length == 0) {
				return false;
			} else if (a.length == 1) {
				return true;
			} else {
				throw new Error("Found more as one result for search for specific agent name. This is impossible!");
			}
		} catch (FIPAException e) {
			throw new Error("This search must not be wrong!", e);
		}
	}
}
