package ubiware.core.behaviors;

import jade.wrapper.AgentController;
import jade.wrapper.ControllerException;
import ubiware.core.BehaviorStartParameters;
import ubiware.core.IllegalParameterConfigurationException;
import ubiware.core.ReusableAtomicBehavior;
import ubiware.ontology.param;

public class DeleteAgentBehavior extends ReusableAtomicBehavior {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String name;

	@Override
	protected void initializeRAB(BehaviorStartParameters parameters) throws IllegalParameterConfigurationException {
		this.name = parameters.getObligatedResourceParameter(param.name).toString();
	}

	@Override
	protected void doAction() throws ControllerException {
		AgentController ac = this.myAgent.getContainerController().getPlatformController().getAgent(this.name);
		ac.kill();
	}

}
