/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ubiware.core.visualizer;

import java.awt.Component;

import javax.swing.JList;
import javax.swing.ListCellRenderer;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreePath;

import ubiware.core.UbiwareAgent;

/**
 * 
 * @author isilando
 */
public class BeliefListCellRenderer extends SAPLTreeCellRenderer implements ListCellRenderer {
	private final static long serialVersionUID = 7l;

	/**
	 * Creates a new instance of this ListCellRender.
	 * 
	 * @param prefs
	 *            user preferences
	 * @param agi
	 *            the agent we are associated with
	 */
	public BeliefListCellRenderer(final UserPreferencies prefs, final UbiwareAgent agi) {
		super(prefs, agi);
	}

	@Override
	public Component getListCellRendererComponent(final JList list, final Object value, final int index, final boolean isSelected,
			final boolean cellHasFocus) {
		final TreePath tp = TreePath.class.cast(value);
		final TreeModel tm = TreeModel.class.cast(tp.getLastPathComponent());
		final boolean leaf = tm.isLeaf(tm);
		return this.getCellRendererComponent(list, tm, isSelected, false, leaf, 0, cellHasFocus);
	}

}
