package ubiware.infrastructure.web;

import ubiware.util.saplbuilder.Resource;

public interface TicketService {
	public static final String TICKET_KEY = "ubiware_ticket";

	Ticket doLogin(String username, String password) throws AuthenticationFailedException;

	void doLogOut(Ticket ticket);

	boolean isLoggedIn(Ticket ticket);

	Resource getPersonalUseragent(Ticket ticket);
}
