package ubiware.ontology;

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Resource;
import ubiware.util.saplbuilder.Subject;

public class auth {
	public static final URI namespace = URITools.createUncheckedURI("http://www.ubiware.jyu.fi/authentication#");

	public static final Resource isAuthenticated = Resource.createUncheckedResource(auth.namespace, "isAuthenticated");
	public static final Resource isUnAuthenticable = Resource.createUncheckedResource(auth.namespace, "isUnAuthenticable");
	public static final Resource getAuthenticationProviders = Resource.createUncheckedResource(auth.namespace, "getAuthenticationProviders");
	public static final Subject provider = Resource.createUncheckedResource(auth.namespace, "provider");
	public static final Resource unAuthenticate = Resource.createUncheckedResource(auth.namespace, "unAuthenticate");
	public static final Resource displayName = Resource.createUncheckedResource(auth.namespace, "displayName");
	//version for mediator, takes adapter name as argument
	public static final Resource unAuthenticateAdapter = Resource.createUncheckedResource(auth.namespace, "unAuthenticateAdapter");

}
