package ubiware.ontology;

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Resource;

public class oauth1 {
	public static final URI namespace = URITools.createUncheckedURI("http://tools.ietf.org/rfc/rfc5849#");

	public static final Resource token = Resource.createUncheckedResource(oauth1.namespace, "token");

	public static final Resource tokenSecret = Resource.createUncheckedResource(oauth1.namespace, "tokenSecret");

	public static final Resource consumerKey = Resource.createUncheckedResource(oauth1.namespace, "consumerKey");
	public static final Resource consumerSecret = Resource.createUncheckedResource(oauth1.namespace, "consumerSecret");
	public static final Resource requestTokenURL = Resource.createUncheckedResource(oauth1.namespace, "requestTokenURL");
	public static final Resource accessTokenURL = Resource.createUncheckedResource(oauth1.namespace, "accessTokenURL");
	public static final Resource authorizeURL = Resource.createUncheckedResource(oauth1.namespace, "authorizeURL");
	//this version also needs the provider of the authentication (for mediator)
	public static final Resource setAdapterOAutht1Credentials = Resource.createUncheckedResource(oauth1.namespace, "setAdapterOAutht1Credentials");
	//this version is serviced by a provider
	public static final Resource setOAutht1Credentials = Resource.createUncheckedResource(oauth1.namespace, "setOAutht1Credentials");

	public static final Resource OAuth1Service = Resource.createUncheckedResource(oauth1.namespace, "OAuth1Service");
	public static final Resource OAuth1Provider = Resource.createUncheckedResource(oauth1.namespace, "OAuth1Provider");

	public static final Resource ApiClassName = Resource.createUncheckedResource(oauth1.namespace, "ApiClassName");

}
