package ubiware.ontology;

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Resource;
import ubiware.util.saplbuilder.Subject;

public class oauth2 {
	public static final URI namespace = URITools.createUncheckedURI("http://oauth.net/version2#");

	public static final Resource OAuth2Provider = Resource.createUncheckedResource(oauth2.namespace, "OAuth2Provider");

	public static final Resource authorizationURL = Resource.createUncheckedResource(oauth2.namespace, "authorizationURL");

	public static final Resource authorizeAdapter = Resource.createUncheckedResource(oauth2.namespace, "authorizeAdapter");

	public static final Subject redirectURL = Resource.createUncheckedResource(oauth2.namespace, "redirectURL");

	//public static final Subject token = Resource.createUncheckedResource(oauth2.namespace, "token");

	public static Subject authCode = Resource.createUncheckedResource(oauth2.namespace, "authCode");

	public static Resource authorize = Resource.createUncheckedResource(oauth2.namespace, "authorize");

}
