package ubiware.ontology;

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Resource;

public class param {

	public static final URI namespace = URITools.createUncheckedURI("http://www.ubiware.jyu.fi/rab_parameters#");

	public static final Resource accessTokenURL = Resource.createUncheckedResource(param.namespace, "accessTokenURL");
	public static final Resource actionType = Resource.createUncheckedResource(param.namespace, "actionType");
	public static final Resource addBeliefs = Resource.createUncheckedResource(param.namespace, "addBeliefs");
	public static final Resource addIfNone = Resource.createUncheckedResource(param.namespace, "addIfNone");
	public static final Resource addIfOne = Resource.createUncheckedResource(param.namespace, "addIfOne");
	public static final Resource addIfSeveral = Resource.createUncheckedResource(param.namespace, "addIfSeveral");
	public static final Resource agent = Resource.createUncheckedResource(param.namespace, "agent");
	public static final Resource application = Resource.createUncheckedResource(param.namespace, "application");
	public static final Resource attach = Resource.createUncheckedResource(param.namespace, "attach");
	public static final Resource authContainer = Resource.createUncheckedResource(param.namespace, "authContainer");
	public static final Resource authorized = Resource.createUncheckedResource(param.namespace, "authorized");
	public static final Resource awaService = Resource.createUncheckedResource(param.namespace, "awaService");
	public static final Resource bcc = Resource.createUncheckedResource(param.namespace, "bcc");
	public static final Resource button = Resource.createUncheckedResource(param.namespace, "button");
	public static final Resource cc = Resource.createUncheckedResource(param.namespace, "cc");
	public static final Resource cleanContent = Resource.createUncheckedResource(param.namespace, "cleanContent");
	public static final Resource closable = Resource.createUncheckedResource(param.namespace, "closable");
	public static final Resource columnSeparator = Resource.createUncheckedResource(param.namespace, "columnSeparator");
	public static final Resource content = Resource.createUncheckedResource(param.namespace, "content");
	public static final Resource contentFromFile = Resource.createUncheckedResource(param.namespace, "contentFromFile");
	public static final Resource contentIsSAPL = Resource.createUncheckedResource(param.namespace, "contentIsSAPL");
	public static final Resource contentToFile = Resource.createUncheckedResource(param.namespace, "contentToFile");
	public static final Resource contentType = Resource.createUncheckedResource(param.namespace, "contentType");
	public static final Resource context = Resource.createUncheckedResource(param.namespace, "context");
	public static final Resource conversationID = Resource.createUncheckedResource(param.namespace, "conversationID");
	public static final Resource convID = Resource.createUncheckedResource(param.namespace, "convID");
	public static final Resource database = Resource.createUncheckedResource(param.namespace, "database");
	public static final Resource delete = Resource.createUncheckedResource(param.namespace, "delete");
	public static final Resource destination = Resource.createUncheckedResource(param.namespace, "destination");
	public static final Resource doChecks = Resource.createUncheckedResource(param.namespace, "doChecks");
	public static final Resource driver = Resource.createUncheckedResource(param.namespace, "driver");
	public static final Resource encoding = Resource.createUncheckedResource(param.namespace, "encoding");
	public static final Resource error = Resource.createUncheckedResource(param.namespace, "error");
	public static final Resource execute = Resource.createUncheckedResource(param.namespace, "execute");
	public static final Resource folder = Resource.createUncheckedResource(param.namespace, "folder");
	public static final Resource forAgent = Resource.createUncheckedResource(param.namespace, "forAgent");
	public static final Resource from = Resource.createUncheckedResource(param.namespace, "from");
	public static final Resource host = Resource.createUncheckedResource(param.namespace, "host");
	public static final Resource ID = Resource.createUncheckedResource(param.namespace, "ID");
	public static final Resource indents = Resource.createUncheckedResource(param.namespace, "indents");
	public static final Resource infra = Resource.createUncheckedResource(param.namespace, "infra");
	public static final Resource initBeliefs = Resource.createUncheckedResource(param.namespace, "initBeliefs");
	public static final Resource input = Resource.createUncheckedResource(param.namespace, "input");
	public static final Resource inputFromFile = Resource.createUncheckedResource(param.namespace, "inputFromFile");
	public static final Resource keywords = Resource.createUncheckedResource(param.namespace, "keywords");
	public static final Resource matchContent = Resource.createUncheckedResource(param.namespace, "matchContent");
	public static final Resource matchConversationID = Resource.createUncheckedResource(param.namespace, "matchConversationID");
	public static final Resource matchOntology = Resource.createUncheckedResource(param.namespace, "matchOntology");
	public static final Resource matchPerformative = Resource.createUncheckedResource(param.namespace, "matchPerformative");
	public static final Resource matchRequest = Resource.createUncheckedResource(param.namespace, "matchRequest");
	public static final Resource matchSender = Resource.createUncheckedResource(param.namespace, "matchSender");
	public static final Resource maxWait = Resource.createUncheckedResource(param.namespace, "maxWait");
	public static final Resource message = Resource.createUncheckedResource(param.namespace, "message");
	public static final Resource messageFromFile = Resource.createUncheckedResource(param.namespace, "messageFromFile");
	public static final Resource model = Resource.createUncheckedResource(param.namespace, "model");
	public static final Resource modify = Resource.createUncheckedResource(param.namespace, "modify");
	public static final Resource name = Resource.createUncheckedResource(param.namespace, "name");
	public static final Resource obsoleteMode = Resource.createUncheckedResource(param.namespace, "obsoleteMode");
	public static final Resource ontology = Resource.createUncheckedResource(param.namespace, "ontology");
	public static final Resource owner = Resource.createUncheckedResource(param.namespace, "owner");
	public static final Resource packageName = Resource.createUncheckedResource(param.namespace, "packageName");
	public static final Resource password = Resource.createUncheckedResource(param.namespace, "password");
	public static final Resource performative = Resource.createUncheckedResource(param.namespace, "performative");
	public static final Resource persistentContainer = Resource.createUncheckedResource(param.namespace, "persistentContainer");
	public static final Resource persistentContainerID = Resource.createUncheckedResource(param.namespace, "persistentContainerID");
	public static final Resource port = Resource.createUncheckedResource(param.namespace, "port");
	public static final Resource preamble = Resource.createUncheckedResource(param.namespace, "preamble");
	public static final Resource print = Resource.createUncheckedResource(param.namespace, "print");
	public static final Resource profileId = Resource.createUncheckedResource(param.namespace, "profileId");
	public static final Resource profileID = Resource.createUncheckedResource(param.namespace, "profileID");
	public static final Resource query = Resource.createUncheckedResource(param.namespace, "query");
	public static final Resource receiver = Resource.createUncheckedResource(param.namespace, "receiver");
	public static final Resource redirectURL = Resource.createUncheckedResource(param.namespace, "redirectURL");
	public static final Resource request = Resource.createUncheckedResource(param.namespace, "request");
	public static final Resource resultTo = Resource.createUncheckedResource(param.namespace, "resultTo");
	public static final Resource role = Resource.createUncheckedResource(param.namespace, "role");
	public static final Resource roleName = Resource.createUncheckedResource(param.namespace, "roleName");
	public static final Resource rolePath = Resource.createUncheckedResource(param.namespace, "rolePath");
	public static final Resource roles = Resource.createUncheckedResource(param.namespace, "roles");
	public static final Resource rowSeparator = Resource.createUncheckedResource(param.namespace, "rowSeparator");
	public static final Resource saveTo = Resource.createUncheckedResource(param.namespace, "saveTo");
	public static final Resource script = Resource.createUncheckedResource(param.namespace, "script");
	public static final Resource scripts = Resource.createUncheckedResource(param.namespace, "scripts");
	public static final Resource search = Resource.createUncheckedResource(param.namespace, "search");
	public static final Resource selectColumns = Resource.createUncheckedResource(param.namespace, "selectColumns");
	public static final Resource sender = Resource.createUncheckedResource(param.namespace, "sender");
	public static final Resource sendPattern = Resource.createUncheckedResource(param.namespace, "sendPattern");
	public static final Resource server = Resource.createUncheckedResource(param.namespace, "server");
	public static final Resource service = Resource.createUncheckedResource(param.namespace, "service");
	public static final Resource smtp = Resource.createUncheckedResource(param.namespace, "smtp");
	public static final Resource smtpPassword = Resource.createUncheckedResource(param.namespace, "smtpPassword");
	public static final Resource smtpPort = Resource.createUncheckedResource(param.namespace, "smtpPort");
	public static final Resource smtpUser = Resource.createUncheckedResource(param.namespace, "smtpUser");
	public static final Resource socket = Resource.createUncheckedResource(param.namespace, "socket");
	public static final Resource sort = Resource.createUncheckedResource(param.namespace, "sort");
	public static final Resource state = Resource.createUncheckedResource(param.namespace, "state");
	public static final Resource stop = Resource.createUncheckedResource(param.namespace, "stop");
	public static final Resource storage = Resource.createUncheckedResource(param.namespace, "storage");
	public static final Resource storeIfSeveral = Resource.createUncheckedResource(param.namespace, "storeIfSeveral");
	public static final Resource subject = Resource.createUncheckedResource(param.namespace, "subject");
	public static final Resource target = Resource.createUncheckedResource(param.namespace, "target");
	public static final Resource text = Resource.createUncheckedResource(param.namespace, "text");
	public static final Resource timeInterval = Resource.createUncheckedResource(param.namespace, "timeInterval");
	public static final Resource title = Resource.createUncheckedResource(param.namespace, "title");
	public static final Resource to = Resource.createUncheckedResource(param.namespace, "to");
	public static final Resource token = Resource.createUncheckedResource(param.namespace, "token");
	public static final Resource tokenSecret = Resource.createUncheckedResource(param.namespace, "tokenSecret");
	public static final Resource url = Resource.createUncheckedResource(param.namespace, "url");
	public static final Resource userID = Resource.createUncheckedResource(param.namespace, "userID");
	public static final Resource username = Resource.createUncheckedResource(param.namespace, "username");
	public static final Resource verifier = Resource.createUncheckedResource(param.namespace, "verifier");
	public static final Resource waitOnFail = Resource.createUncheckedResource(param.namespace, "waitOnFail");
	public static final Resource waitOnlyFirst = Resource.createUncheckedResource(param.namespace, "waitOnlyFirst");
	public static final Resource warPath = Resource.createUncheckedResource(param.namespace, "warPath");
	public static final Resource warResourcePath = Resource.createUncheckedResource(param.namespace, "warResourcePath");
	public static final Resource timeOut = Resource.createUncheckedResource(param.namespace, "timeOut");

	public static Resource buildParameterResource(String paramName) {
		return Resource.createUncheckedResource(param.namespace, paramName);
	}

}
