package ubiware.ontology;

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Resource;

public class pn {

	public static final URI namespace = URITools.createUncheckedURI("http://jyu.fi/petriNet#");

	public static final Resource Arc = Resource.createUncheckedResource(pn.namespace, "Arc");
	public static final Resource HTTransition = Resource.createUncheckedResource(pn.namespace, "HTTransition");
	public static final Resource FCTransition = Resource.createUncheckedResource(pn.namespace, "FCTransition");
	public static final Resource Place = Resource.createUncheckedResource(pn.namespace, "Place");

	public static final Resource p2a = Resource.createUncheckedResource(pn.namespace, "p2a");
	public static final Resource a2p = Resource.createUncheckedResource(pn.namespace, "a2p");
	public static final Resource a2t = Resource.createUncheckedResource(pn.namespace, "a2t");
	public static final Resource t2a = Resource.createUncheckedResource(pn.namespace, "t2a");
	public static final Resource weight = Resource.createUncheckedResource(pn.namespace, "weight");
	public static final Resource state = Resource.createUncheckedResource(pn.namespace, "state");
	public static final Resource respAgent = Resource.createUncheckedResource(pn.namespace, "respAgent");
	public static final Resource taskTitle = Resource.createUncheckedResource(pn.namespace, "taskTitle");

	public static final Resource stateDisabled = Resource.createUncheckedResource(pn.namespace, "stateDisabled");
	public static final Resource stateEnabled = Resource.createUncheckedResource(pn.namespace, "stateEnabled");
	public static final Resource stateFired = Resource.createUncheckedResource(pn.namespace, "stateFired");

	public static final Resource definition = Resource.createUncheckedResource(pn.namespace, "definition");
	public static final Resource configuration = Resource.createUncheckedResource(pn.namespace, "configuration");
	public static final Resource hasNrTokens = Resource.createUncheckedResource(pn.namespace, "hasNrTokens");
	public static final Resource paramTransition = Resource.createUncheckedResource(pn.namespace, "paramTransition");

	public static final Resource SubscribeToHT = Resource.createUncheckedResource(pn.namespace, "SubscribeToHT");
	public static final Resource transitionID = Resource.createUncheckedResource(pn.namespace, "transitionID");
	public static final Resource CompleteHT = Resource.createUncheckedResource(pn.namespace, "CompleteHT");
	public static final Resource UnsubscribeFromHT = Resource.createUncheckedResource(pn.namespace, "UnsubscribeFromHT");

	public static final Resource GetAllDefinitions = Resource.createUncheckedResource(pn.namespace, "GetAllDefinitions");
	public static final Resource GetDefinitionDetails = Resource.createUncheckedResource(pn.namespace, "GetDefinitionDetails");
	public static final Resource StartNewProcessInstance = Resource.createUncheckedResource(pn.namespace, "StartNewProcessInstance");
	public static final Resource GetAllUsers = Resource.createUncheckedResource(pn.namespace, "GetAllUsers");

	public static final Resource ProcessDefinition = Resource.createUncheckedResource(pn.namespace, "ProcessDefinition");
	public static final Resource WorkerAgent = Resource.createUncheckedResource(pn.namespace, "WorkerAgent");
	public static final Resource worksForUsername = Resource.createUncheckedResource(pn.namespace, "worksForUsername");

	public static final Resource transitionState = Resource.createUncheckedResource(pn.namespace, "transitionState");
	public static final Resource HTTransitionInstance = Resource.createUncheckedResource(pn.namespace, "HTTransitionInstance");
	public static final Resource processStarterAgent = Resource.createUncheckedResource(pn.namespace, "processStarterAgent");

	public static final Resource processDefinitionID = Resource.createUncheckedResource(pn.namespace, "processDefinitionID");

	public static final Resource configurationContainer = Resource.createUncheckedResource(pn.namespace, "configurationContainer");

	public static final Resource instanceTitle = Resource.createUncheckedResource(pn.namespace, "instanceTitle");

	public static final Resource instanceDescription = Resource.createUncheckedResource(pn.namespace, "instanceDescription");

	public static final Resource userHasEmailAddress = Resource.createUncheckedResource(pn.namespace, "userHasEmailAddress");
	public static final Resource userHasEmailNotification = Resource.createUncheckedResource(pn.namespace, "userHasEmailNotification");
	public static final Resource userHasPhoneNumber = Resource.createUncheckedResource(pn.namespace, "userHasPhoneNumber");
	public static final Resource userHasSMSNotification = Resource.createUncheckedResource(pn.namespace, "userHasSMSNotification");
	public static final Resource UserPreferences = Resource.createUncheckedResource(pn.namespace, "UserPreferences");
	public static final Resource GetUserPreferences = Resource.createUncheckedResource(pn.namespace, "GetUserPreferences");
	public static final Resource SetUserPreferences = Resource.createUncheckedResource(pn.namespace, "SetUserPreferences");
	public static final Resource stateProcessFinished = Resource.createUncheckedResource(pn.namespace, "stateProcessFinished");
	public static final Resource belongsToProcessInstanceName = Resource.createUncheckedResource(pn.namespace, "belongsToProcessInstanceName");

	public static final Resource comment = Resource.createUncheckedResource(pn.namespace, "comment");
	public static final Resource instanceID = Resource.createUncheckedResource(pn.namespace, "instanceID");
	public static final Resource getInstanceLog = Resource.createUncheckedResource(pn.namespace, "getInstanceLog");

	public static Resource belongsToProcessInstanceID = Resource.createUncheckedResource(pn.namespace, "belongsToProcessInstanceID");
	public static Resource processStarted = Resource.createUncheckedResource(pn.namespace, "processStarted");

}
