package ubiware.ontology;

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Resource;

public class udf {
	public static final URI namespace = URITools.createUncheckedURI("http://www.ubiware.jyu.fi/directoryFacilitator#");

	public static final Resource DefineService = Resource.createUncheckedResource(udf.namespace, "DefineService");
	public static final Resource RegisterHandler = Resource.createUncheckedResource(udf.namespace, "RegisterHandler");
	public static final Resource UnRegisterHandler = Resource.createUncheckedResource(udf.namespace, "UnRegisterHandler");
	public static final Resource SubscribeToService = Resource.createUncheckedResource(udf.namespace, "SubscribeToService");
	public static final Resource UnSubscribeFromService = Resource.createUncheckedResource(udf.namespace, "UnSubscribeFromService");
	public static final Resource RegisterWorker = Resource.createUncheckedResource(udf.namespace, "RegisterWorker");
	public static final Resource GetWorkersForService = Resource.createUncheckedResource(udf.namespace, "GetWorkersForService");
	public static final Resource SubscribeForWorkersForService = Resource.createUncheckedResource(udf.namespace, "SubscribeForWorkersForService");
	public static final Resource SenderGetsWorkersForService = Resource.createUncheckedResource(udf.namespace, "SenderGetsWorkersForService");

	public static final Resource serviceName = Resource.createUncheckedResource(udf.namespace, "serviceName");
	public static final Resource handlers = Resource.createUncheckedResource(udf.namespace, "handlers");
	public static final Resource agentName = Resource.createUncheckedResource(udf.namespace, "agentName");
	public static final Resource handler = Resource.createUncheckedResource(udf.namespace, "handler");

	public static final Resource workerName = Resource.createUncheckedResource(udf.namespace, "workerName");
	public static final Resource PUAName = Resource.createUncheckedResource(udf.namespace, "PUAName");
	public static final Resource providesService = Resource.createUncheckedResource(udf.namespace, "providesService");
	public static final Resource isProvided = Resource.createUncheckedResource(udf.namespace, "isProvided");
}
