package ubiware.rdf2bean.social;

import java.util.Map;
import java.util.Set;

import ubiware.rdf2bean.core.Storage;
import ubiware.rdf2bean.social.helper.SocialHelper;

public class TwitterProfile extends SocialNetworkProfile {
	public TwitterProfile(String resourceURI, Map<String, Set<String>> props, Storage s) {
		super(resourceURI, props, s);
	}

	public static String handledResource = "http://www.ubiware.jyu.fi/apps/socialNetworkApp#TwitterProfile";

	private static final long serialVersionUID = 1L;

	//private String hasID;
	//private String hasFirstName;
	//private String hasLastName;
	//private String hasBirthday;
	//private String hasProfileURL;
	//private String hasDisplayName;
	//	private String hasProfilePictureURL;
	//
	//	private String hasDescription;
	//	private String hasLanguage;
	//	private String hasLocation;
	//	private Status hasLastTweet;

	//private List<Tweet> hasTweet;

	public Status getHasLastTweet() {
		String propertyName = "hasLastTweet";
		return SocialHelper.getSingleNonStringValue(this.getStorage(), this.properties, propertyName, Status.class);
	}

	//	public void setHasLastTweet(Status hasLastTweet) {
	//		this.hasLastTweet = hasLastTweet;
	//	}

	/** Start - Convenience methods for Mashupper webapp **/
	@Override
	public String getProfileProviderImageURL() {
		return "VAADIN/themes/mashuppertheme/images/twitter-icon24.png";

	}

	/** End - Convenience methods for Mashupper webapp **/

}
