package ubiware.util.saplbuilder;

public class InvalidResourceException extends Exception {
	private static final long serialVersionUID = 1L;
	private final String value;

	public InvalidResourceException(String value) {
		this(value, null);
	}

	public InvalidResourceException(String value, Exception e) {
		super("The given resource '" + value + "'is not a valid URI.", e);
		this.value = value;
	}

	public String getViolatingResource() {
		return this.value;
	}
}
