package ubiware.util.saplbuilder;

/**
 * This exception is thrown when an attemt is taken to create an invalid S-APL document or a subcomponent which would make the document
 * invalid.
 * 
 * @author Michael Cochez for Ubiware project
 * @since 17 Aug 2010
 */
public class MalformedSaplException extends Exception {
	private static final long serialVersionUID = 1L;

	public MalformedSaplException(String message, Throwable cause) {
		super(message, cause);
	}

	public MalformedSaplException(String message) {
		super(message);
	}
}
