package ubiware.core;

/**
 * A parameter generator is an object able to generato a S-APL object representing parameters
 * 
 * @author Michael Cochez for Ubiware project
 * @since 10 Aug 2010
 */
public interface ParameterGenerator {
	/**
	 * Generate the S-APL object representing parameters.
	 * 
	 * @param builder
	 *            the builder into which the parameters have to be generated.
	 */
	void generateParametersN3(StringBuilder builder);
}
