package ubiware.core;

/**
 * Indicates that the object can get parameters.
 * 
 * 23.6.2010
 * 
 * @author Michael Cochez for UBIWARE project
 */
public interface ParametrizedAsset {
	/**
	 * Sets the parameters on the object.
	 * 
	 * @param startParams
	 *            the parameters.
	 */
	public void setStartParameters(BehaviorStartParameters startParams);
}
