package ubiware.infrastructure.ubiwareDF;

import ubiware.util.saplbuilder.Resource;

public class Agent {
	private Resource agentAsResource;

	public Agent(Resource agent) {
		this.agentAsResource = agent;
	}

	public Resource getAgentAsResource() {
		return this.agentAsResource;
	}

	public String getNameAsString() {
		return this.agentAsResource.toString();
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((this.agentAsResource == null) ? 0 : this.agentAsResource.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (this.getClass() != obj.getClass()) {
			return false;
		}
		Agent other = (Agent) obj;
		if (this.agentAsResource == null) {
			if (other.agentAsResource != null) {
				return false;
			}
		} else if (!this.agentAsResource.equals(other.agentAsResource)) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return this.agentAsResource.toString();
	}
}
