package ubiware.infrastructure.ubiwareDF;

import ubiware.util.saplbuilder.Resource;

public class Handler {

	private Resource handler;

	public Handler(Resource handler) {
		super();
		this.handler = handler;
	}

	public Resource getHandlerResource() {
		return this.handler;
	}

	/**
	 * @return the handlerName
	 */
	public String getHandlerName() {
		return this.handler.toString();
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((this.handler == null) ? 0 : this.handler.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (this.getClass() != obj.getClass()) {
			return false;
		}
		Handler other = (Handler) obj;
		if (this.handler == null) {
			if (other.handler != null) {
				return false;
			}
		} else if (!this.handler.equals(other.handler)) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return this.handler.toString();
	}
}
