package ubiware.infrastructure.ubiwareDF;

import java.lang.annotation.ElementType;

/**
 * Annotation indicating that a certain method is accessible from outside the agent by calling one of the agents handlers.
 * 
 * 22.11.2010
 * 
 * @author Michael Cochez for UBIWARE project
 */
@java.lang.annotation.Target(ElementType.METHOD)
public @interface HandlerAccessible {
	/**
	 * The name of the com:handles property of the handler
	 * 
	 * @return The name (A resource)
	 */
	String handlesResourceName();

}
