package ubiware.infrastructure.web;

import java.util.Set;

import ubiware.util.saplbuilder.Resource;

public class InfraAgentWrapperProvider {
	private final Set<Resource> infraAgents;
	private final AgentWrapperProvider awp;

	public InfraAgentWrapperProvider(Set<Resource> infraAgents, AgentWrapperProvider awp) {
		super();
		this.infraAgents = infraAgents;
		this.awp = awp;
	}

	public final AgentWrapper getAIAWrapper(Resource AIA) throws NoSuchAIAException {
		//FIXME re-enable, this hole can give webapps access to any agent on the platform!!!!!
		//for a weird reason, the contains method does not work properly.
		//That's why I iterate.
		//for (Resource res : this.infraAgents) {
		//	if (res.equals(AIA)) {
		//		return this.awp.getAgentWrapper(AIA);
		//	}
		//}
		//if (!this.infraAgents.contains(AIA)) {
		//	throw new NoSuchAIAException();
		//}
		return this.awp.getAgentWrapper(AIA);
	}

}
