package ubiware.infrastructure.web;

import com.google.common.base.Objects;

public class MessageContent {
	private final String content;
	
	public MessageContent(String content) {
		this.content = content;
	}
	
	public String getContent() {
		return content;
	}
	
	@Override
	public String toString() {
		return Objects.toStringHelper(this).add("message", this.content).toString();
	}
}
