package ubiware.infrastructure.web;

class PlatformInterfaceImpl implements PlatformInterface {

	private boolean loggedIn;
	private AgentWrapper workerAgent;
	private InfraAgentWrapperProvider infra;

	public void setLoggedIn(boolean b) {
		this.loggedIn = b;
	}

	void setWorkerAgent(AgentWrapper workerAgent) {
		this.workerAgent = workerAgent;
	}

	@Override
	public boolean isLoggedIn() {
		return this.loggedIn;
	}

	@Override
	public AgentWrapper getWorkerAgent() throws NoSuchWorkerException {
		if (this.workerAgent == null) {
			throw new NoSuchWorkerException();
		}
		return this.workerAgent;
	}

	public void setInfraAgentsWrapperProvider(InfraAgentWrapperProvider infraAgents) {
		this.infra = infraAgents;
	}

	@Override
	public InfraAgentWrapperProvider getAIA() {
		return this.infra;
	}

}
