package ubiware.ontology;

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Resource;

public class conf {
	public static final URI namespace = URITools.createUncheckedURI("http://www.ubiware.jyu.fi/configuration#");

	public static final Resource hasContainer = Resource.createUncheckedResource(conf.namespace, "hasContainer");
	public static final Resource hasAgent = Resource.createUncheckedResource(conf.namespace, "hasAgent");
	public static final Resource hasAgentName = Resource.createUncheckedResource(conf.namespace, "hasAgentName");
	public static final Resource hasScript = Resource.createUncheckedResource(conf.namespace, "hasScript");
	public static final Resource hasScriptLocation = Resource.createUncheckedResource(conf.namespace, "hasScriptLocation");
	public static final Resource hasRole = Resource.createUncheckedResource(conf.namespace, "hasRole");
	public static final Resource hasRoleName = Resource.createUncheckedResource(conf.namespace, "hasRoleName");
	public static final Resource isMain = Resource.createUncheckedResource(conf.namespace, "isMain");
	public static final Resource runsOnPort = Resource.createUncheckedResource(conf.namespace, "runsOnPort");

}
