package ubiware.ontology;

// Package Manager Agent

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Predicate;
import ubiware.util.saplbuilder.Resource;

public class pma {
	private pma() {
		//utility class.
	}

	public static final URI pma_namespace = URITools.createUncheckedURI("http://www.ubiware.jyu.fi/agents/infrastructure/PackageManagerAgent#");

	public static final Resource UBIDeploymentAction = Resource.createUncheckedResource(pma.pma_namespace, "UBIDeploymentAction");
	public static final Resource UBIIdentified = Resource.createUncheckedResource(pma.pma_namespace, "UBIIdentified");
	public static final Resource stepA = Resource.createUncheckedResource(pma.pma_namespace, "stepA");
	public static final Resource stepB = Resource.createUncheckedResource(pma.pma_namespace, "stepB");
	public static final Resource stepC = Resource.createUncheckedResource(pma.pma_namespace, "stepC");
	public static final Resource stepD = Resource.createUncheckedResource(pma.pma_namespace, "stepD");
	public static final Resource stepE = Resource.createUncheckedResource(pma.pma_namespace, "stepE");
	public static final Resource stepF = Resource.createUncheckedResource(pma.pma_namespace, "stepF");
	public static final Resource stepG = Resource.createUncheckedResource(pma.pma_namespace, "stepG");

	public static final Predicate pathToUBIFile = Resource.createUncheckedResource(pma.pma_namespace, "pathToUBIFile");
	public static final Predicate deploymentStatus = Resource.createUncheckedResource(pma.pma_namespace, "deploymentStatus");

}
