package ubiware.ontology;

// Package Manager Agent

import java.net.URI;

import ubiware.util.URITools;
import ubiware.util.saplbuilder.Predicate;
import ubiware.util.saplbuilder.Resource;

public class ubi {
	private ubi() {
		// utility class.
	}

	public static final URI ubi_namespace = URITools.createUncheckedURI("http://www.ubiware.jyu.fi/ubiPackage#");

	public static final Resource UBIDeploymentAction = Resource.createUncheckedResource(ubi.ubi_namespace, "UBIDeploymentAction");
	public static final Resource UBIIdentified = Resource.createUncheckedResource(ubi.ubi_namespace, "UBIIdentified");
	public static final Resource stepA = Resource.createUncheckedResource(ubi.ubi_namespace, "stepA");
	public static final Resource stepB = Resource.createUncheckedResource(ubi.ubi_namespace, "stepB");
	public static final Resource stepC = Resource.createUncheckedResource(ubi.ubi_namespace, "stepC");
	public static final Resource stepD = Resource.createUncheckedResource(ubi.ubi_namespace, "stepD");
	public static final Resource stepE = Resource.createUncheckedResource(ubi.ubi_namespace, "stepE");
	public static final Resource stepF = Resource.createUncheckedResource(ubi.ubi_namespace, "stepF");
	public static final Resource stepG = Resource.createUncheckedResource(ubi.ubi_namespace, "stepG");
	public static final Resource UbiPackage = Resource.createUncheckedResource(ubi.ubi_namespace, "UbiPackage");

	public static final Predicate hasState = Resource.createUncheckedResource(ubi.ubi_namespace, "hasState");
	public static final Predicate hasRoleFile = Resource.createUncheckedResource(ubi.ubi_namespace, "hasRoleFile");
	public static final Predicate warFileLocation = Resource.createUncheckedResource(ubi.ubi_namespace, "warFileLocation");
	public static final Predicate hasDescription = Resource.createUncheckedResource(ubi.ubi_namespace, "hasDescription");
	public static final Predicate hasRoleName = Resource.createUncheckedResource(ubi.ubi_namespace, "hasRoleName");
	public static final Predicate hasRoleFilePath = Resource.createUncheckedResource(ubi.ubi_namespace, "hasRoleFilePath");

}
