package ubiware.util.saplbuilder;

import ubiware.ontology.sapl;

public class ActionArgumentContainer implements Object {

	private final Container container = new Container();

	public void addArgument(Subject argumentName, Object argumentValue) {
		this.container.addStatement(argumentName, sapl.hasValue, argumentValue);
	}

	@Override
	public void generateSapl(StringBuilder builder) {
		this.container.generateSapl(builder);
	}
}
