package ubiware.web.applications.ubiwaredesktop.ontology;

import java.util.Map;
import java.util.Set;

import ubiware.rdf2bean.core.RDFResource;
import ubiware.rdf2bean.core.Storage;
import ubiware.rdf2bean.social.helper.SocialHelper;

public class User extends RDFResource {

	public static String handledResource = "http://www.ubiware.jyu.fi/user#User";

	public User(String resourceURI, Map<String, Set<String>> props, Storage s) {
		super(resourceURI, props, s);
	}

	// private String context;
	// private String isAdminApplication;
	// private String name;

	public String getUserName() {
		String propertyName = "username";
		return SocialHelper.getSingleStringValue(this.properties, StorageHelper.NS_USER, propertyName);
	}
	/*
	 * public String getName() { String propertyName = "name"; return
	 * SocialHelper.getSingleStringValue(this.properties, StorageHelper.NS_UBIM,
	 * propertyName); }
	 * 
	 * public String getIsAdminApplication() { String propertyName =
	 * "isAdminApplication"; return
	 * SocialHelper.getSingleStringValue(this.properties, StorageHelper.NS_UBIM,
	 * propertyName); }
	 * 
	 * public void setContext(String value) {
	 * SocialHelper.setSingleStringValue(this.properties, StorageHelper.NS_UBIM,
	 * "context", value); }
	 * 
	 * public void setIsAdminApplication(String value) {
	 * SocialHelper.setSingleStringValue(this.properties, StorageHelper.NS_UBIM,
	 * "isAdminApplication", value); }
	 * 
	 * public void setName(String value) {
	 * SocialHelper.setSingleStringValue(this.properties, StorageHelper.NS_UBIM,
	 * "name", value); }
	 * 
	 * public static void main(String[] args) throws SecurityException,
	 * NoSuchFieldException, RepositoryException, RDFParseException,
	 * MalformedQueryException, QueryEvaluationException,
	 * IllegalArgumentException, IOException, InstantiationException,
	 * IllegalAccessException, InvocationTargetException { String
	 * rdfCodeAsString =
	 * "@prefix ubim: <http://www.ubiware.jyu.fi/main#> . @prefix user: <http://www.ubiware.jyu.fi/user#> . @prefix soc: <http://www.ubiware.jyu.fi/apps/socialNetworkApp#> . @prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> . "
	 * +
	 * " soc:TwitterApplication rdf:type ubim:UbiwareApplication ; ubim:context \"/twitterAdapter\" ; ubim:isAdminApplication \"false\" ; ubim:name \"TwitterAdapter\" . \n"
	 * ;
	 * 
	 * Storage s = SocialHelper.getDefaultStorage(); s.register(User.class,
	 * User.handledResource); s.read(rdfCodeAsString);
	 * 
	 * User ua = s.getAllResourcesOfThisType(User.class).iterator().next();
	 * System.out.println(ua.getUri()); System.out.println(ua.getContext());
	 * System.out.println(ua.getIsAdminApplication());
	 * System.out.println(ua.getName());
	 * 
	 * }
	 */
}
